/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      Symbol.bindElementAction(compId, symbolName, "${_btnA}", "click", function(sym, e) {
         // Add Symbol to the element 'container' when button A is clicked
         sym.createChildSymbol("vid", "container") 
         
         // Remove button Element A
         sym.$("btnA").hide();
         

      });
      //Edge binding end

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         var title=$("title").text();
         $("body").prepend("<div class='future'><h1>" + title + "</h1></div>");
         
         $("#Stage").css("margin","auto"); 

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "window", "resize", function(sym, e) {
         
         var windowsize = $(window).width();
         $("#Stage").css("margin","auto");
         /*
         $(window).resize(function() {
           var windowsize = $(window).width();
         });
         */
         
         if (windowsize < 440) {
           //if the window is greater than 440px wide then turn on jScrollPane..
            // $('#pane1').jScrollPane({
            //    scrollbarWidth:15, 
            //    scrollbarMargin:52
             //});
             $("#Stage").css("background-color","red");
         
         } else {
         
         	$("#Stage").css("background-color","#313030");
         }
         
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'vid'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_btnB}", "click", function(sym, e) {
         sym.myVideo('http://www.youtube.com/embed/nvPFrNG_Ff8?list=PLAB6CAB6A94A1A0F6');

      });
         //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.myVideo = function (vidUrl){
         
            var youtubevid = $("<iframe/>"); 
            sym.$("vcontainer").empty().append(youtubevid);
         
               youtubevid.attr('type','text/html');
               youtubevid.attr('width','425');
               youtubevid.attr('height','350');
         
               youtubevid.attr('src',vidUrl);            // url/Video_Id
               youtubevid.attr('frameborder','0');	      // 1 | 0	
               youtubevid.attr('allowfullscreen','0');   // 1 | 0
         }

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btnC}", "click", function(sym, e) {
         sym.myVideo('http://www.youtube.com/embed/T7MqEEGGpus');

      });
      //Edge binding end

   })("vid");
   //Edge symbol end:'vid'

})(jQuery, AdobeEdge, "EDGE-21731520");